net.sourceforge.jnlp.runtime

## Enum JNLPClassLoader.DownloadAction

- java.lang.Object
- - java.lang.Enum<JNLPClassLoader.DownloadAction>
  - - net.sourceforge.jnlp.runtime.JNLPClassLoader.DownloadAction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JNLPClassLoader.DownloadAction>

Enclosing class:
  JNLPClassLoader

    public static enum JNLPClassLoader.DownloadAction
    extends java.lang.Enum<JNLPClassLoader.DownloadAction>

Actions to specify how cache is to be managed

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CHECK_CACHE`
`DOWNLOAD_TO_CACHE`
`REMOVE_FROM_CACHE`

### Method Summary

Methods
`static JNLPClassLoader.DownloadAction` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JNLPClassLoader.DownloadAction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DOWNLOAD_TO_CACHE

    public static final JNLPClassLoader.DownloadAction DOWNLOAD_TO_CACHE

#### REMOVE_FROM_CACHE

    public static final JNLPClassLoader.DownloadAction REMOVE_FROM_CACHE

#### CHECK_CACHE

    public static final JNLPClassLoader.DownloadAction CHECK_CACHE

### Method Detail

#### values

    public static JNLPClassLoader.DownloadAction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JNLPClassLoader.DownloadAction c : JNLPClassLoader.DownloadAction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JNLPClassLoader.DownloadAction valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null